
D4Science Infrastructure - Task #9941

Please create an ansible playbook to deploy resource-registry-handlers in smartgeras containers

Oct 12, 2017 03:33 PM - Luca Frosini

Status: Closed Start date: Oct 12, 2017

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Resource Provisioning   

Infrastructure: Development, Pre-Production,

Production

  

Description

The maven coordinates to be used in ansible playbook are:

<groupId>org.gcube.smartgears.handlers</groupId>

<artifactId>resource-registry-handlers</artifactId>

<version>latest</version>

 The jar must be deployed in tomcat/lib and the container has to be restarted.

History

#1 - Oct 12, 2017 06:33 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Does it need to be installed in every smartgears or only when activated by a variable?

#2 - Oct 16, 2017 07:05 PM - Luca Frosini

Activated by a variable which should be false by default for the moment. Soon it will be switched to true. Finally the library will be part of distribution

#3 - Oct 19, 2017 06:37 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Done.

#4 - Oct 19, 2017 06:39 PM - Andrea Dell'Amico

Use the variable resource_registry_handlers_install: True when you want to install it.

#5 - Oct 25, 2017 11:53 AM - Luca Frosini

I'll try it asap
